/* kb.h
**
** Copyright (c) 1987-90, Chris Laforet Software/Chris Laforet
** All Rights Reserved
**
** Started: 17 February 1990
**
** Revision Information: $Logfile:   F:/libs/scrnlib/vcs/kb.h_v  $
**                       $Date:   20 Feb 1990 05:03:04  $
**                       $Revision:   1.1  $
**
*/


#ifdef __cplusplus
extern "C"
	{
#endif

#ifndef LIBRARY
	#ifndef __TURBOC__
		#ifndef __ZTC__
			#ifndef PROTECTED
				#pragma comment(lib,"LSCREEN")
			#else
				#pragma comment(lib,"LSCREENP")
			#endif
		#endif
	#endif
#endif


#ifdef ALT
	#undef ALT		/* something with OS2.H */
#endif

#define RIGHT_SHIFT			1
#define LEFT_SHIFT			2
#define CTRL				4
#define ALT					8
#define SCROLL				0x10
#define NUM_LOCK			0x20
#define CAPS_LOCK			0x40
#define INSERT				0x80


extern int far _read_keyboard(void);
extern int far _scan_keyboard(void);
extern int far _get_shift_status(void);

#ifdef __cplusplus
	}
#endif

